<!-- Opening hero banner section -->
<section id="hero-banner">
    <div class="container">
        <div class="row">
            <div class="col-xs-12 col-sm-7 col-md-7 col-lg-6">
                <h1>Developers are in short supply</h1>
                <h2>It's time to take control.</h2>

                <p>
                    A web app that puts developers in control of the hiring process. Better pay,
                    more control - no recruiters, no hassle. Join us and become HappyDev.
                </p>

                <button class="btn btn-default btn-hd-orange" (click)="_onClickGetStartedNow()">Get Started Now</button>
            </div>
        </div>
    </div>
</section>

<!-- Description of benefits section -->
<section id="benefits">
    <div class="container-fluid post-hero-ribbon">
        <div class="row">
            <div class="col-xs-12 col-sm-8 col-sm-offset-2 col-md-6 col-md-offset-3 col-lg-4 col-lg-offset-4 text-center">
                A hiring marketplace that empowers developers with total control.
            </div>
        </div>
    </div>

    <div class="container privacy">
        <div class="row">
            <div class="col-xs-12 col-sm-6 col-md-5">
                <h2>Real Privacy</h2>
                <p>
                    Your personal details, contact info, and the name of your current employer are hidden from hiring companies until you accept their interview request.
                </p>
                <p>
                    These privacy settings ensure you are never bothered by intrusive recruiters and unwanted cold calls.
                </p>
            </div>
        </div>
    </div>

    <div class="handshake-wrap">
        <div class="container handshake">
            <div class="row">
                <div class="col-xs-12 col-sm-6 col-sm-offset-6 col-md-5 col-md-offset-7">
                    <h2>Tell Employers What You Want</h2>
                    <p>
                        You answer questions about what makes you happy, whether that's better compensation, working from home, or your favorite framework.
                    </p>
                    <p>
                        These questions influence the interview requests hiring companies send you, ensuring you receive offers that match your expectations.
                    </p>
                </div>
            </div>
        </div>
    </div>

    <div class="city-skyline-wrap">
        <div class="container city-skyline">
            <div class="row">
                <div class="col-xs-12 col-sm-6 col-md-5 col-md-offset-1">
                    <h2>You Are In Control</h2>
                    <p>
                        HappyDev puts you, the developer, in total control of the hiring process. You tell hiring companies what you are looking for, and they request interviews.
                    </p>
                    <p>
                        You decide who to meet with based on the company and the upfront offer details. No more mismatched expectations, no more wasted time.
                    </p>
                </div>
            </div>
        </div>
    </div>
</section>

<!-- Tour of app -->
<section id="tour">
    <div class="container">
        <!-- Section Heading -->
        <div class="row">
            <div class="col-xs-12 col-xs-offset-0 col-sm-10 col-sm-offset-1 col-md-8 col-md-offset-2 text-center">
                <h1>A simple, private platform for driving developer led hiring.</h1>
            </div>
        </div>

        <!-- Mobile-view section indicator -->
        <div class="row btn-tour-mobile">
            <div *ngIf="_swiperContainer.swiper" class="col-xs-12 text-center">
                <i class="fa" (click)='_onClickTour(0)' [ngClass]="mobileCircleClass(0)" aria-hidden="true"></i>
                <i class="fa" (click)='_onClickTour(1)' [ngClass]="mobileCircleClass(1)" aria-hidden="true"></i>
                <i class="fa" (click)='_onClickTour(2)' [ngClass]="mobileCircleClass(2)" aria-hidden="true"></i>
                <i class="fa" (click)='_onClickTour(3)' [ngClass]="mobileCircleClass(3)" aria-hidden="true"></i>
            </div>
        </div>

        <!-- Desktop-view section selector -->
        <div class="row btn-tour">
            <div class="col-xs-12 text-center">
                <button class="btn btn-default" (click)='_onClickTour(0)' [ngClass]="desktopNavClass(0)">PROFILE</button>
                <button class="btn btn-default" (click)='_onClickTour(1)' [ngClass]="desktopNavClass(1)">MATCH</button>
                <button class="btn btn-default" (click)='_onClickTour(2)' [ngClass]="desktopNavClass(2)">OFFERS</button>
                <button class="btn btn-default" (click)='_onClickTour(3)' [ngClass]="desktopNavClass(3)">DREAM JOB</button>
            </div>
        </div>

        <!-- Mobile-view content slides -->
        <div class="content-mobile">
            <ks-swiper-container>
                <ks-swiper-slide *ngFor="let s of [0,1,2,3]">
                    <h2>{{ _tourPageTitle[s] }}</h2>

                    <p>{{ _tourPageDescription1[s] }}</p>

                    <p>{{ _tourPageDescription2[s] }}</p>

                    <img *ngIf="s === 0" src="../../img/tour/tour_profile.png" alt="Screen shot of profile page" />
                    <img *ngIf="s === 1" src="../../img/tour/tour_match.png" alt="Screen shot of match page" />
                    <img *ngIf="s === 2" src="../../img/tour/tour_interview.png" alt="Screen shot of interview page" />
                    <img *ngIf="s === 3" src="../../img/tour/tour_dream_job.png" alt="Screen shot of dream job page" />
                </ks-swiper-slide>
            </ks-swiper-container>
        </div>

        <!-- Desktop-view content slides -->
        <div class="row content">
            <div class="col-xs-12 offset-sm-1 col-sm-4">
                <h2>{{ _tourPageTitle[_tourPageIdx] }}</h2>

                <p>{{ _tourPageDescription1[_tourPageIdx] }}</p>

                <p>{{ _tourPageDescription2[_tourPageIdx] }}</p>
            </div>

            <div class="col-xs-12 col-sm-8">
                <img *ngIf="_tourPageIdx === 0" src="../../img/tour/tour_profile.png" alt="Screen shot of profile page" />
                <img *ngIf="_tourPageIdx === 1" src="../../img/tour/tour_match.png" alt="Screen shot of match page" />
                <img *ngIf="_tourPageIdx === 2" src="../../img/tour/tour_interview.png" alt="Screen shot of interview page" />
                <img *ngIf="_tourPageIdx === 3" src="../../img/tour/tour_dream_job.png" alt="Screen shot of dream job page" />
            </div>
        </div>
    </div>
</section>

<!-- Final call to action -->
<section id="final-cta">
    <div class="container">
        <div class="row">
            <div class="col-xs-12">
                <h1>Stand up and take control of the hiring process</h1>
                <h2>No more hassle, no more non-sense.</h2>
                <button class="btn btn-default btn-hd-orange" (click)="_onClickGetStartedNow()">Get Started Now</button>
            </div>
        </div>
    </div>
</section>

<!-- Signup Modal -->
<modal #registerModal (onDismiss)="_onDismissRegisterModal()">
    <modal-body>
        <register-account #registerAccount (onClose)="registerModal.close()"></register-account>
    </modal-body>
</modal>
